restinio::details::max_parallel_connections_holder_t< Count_Limiter > Struct Template Reference

A special type for holding the value of maximum allowed count of parallel connections. More...

`#include <settings.hpp>`

## Public Member Functions

std::size_t | max_parallel_connections () const noexcept
void | set_max_parallel_connections (std::size_t v) noexcept

## Public Attributes

std::size_t | m_max_parallel_connections
| Actual value of the limit. More...

## Static Public Attributes

static constexpr bool | has_actual_max_parallel_connections = true

## Detailed Description

template<typename Count_Limiter>
struct restinio::details::max_parallel_connections_holder_t< Count_Limiter >

A special type for holding the value of maximum allowed count of parallel connections.

This type is intended to be used as a mixin for server_settings_t type.

Holds the value and provides the actual implementations for getter and setter of that value.

Since
  v.0.6.12

Definition at line 481 of file settings.hpp.

## Member Function Documentation

## max_parallel_connections()

template<typename Count_Limiter >

std::size_t restinio::details::max_parallel_connections_holder_t< Count_Limiter >::max_parallel_connections | ( |  | ) | const

inlinenoexcept

Definition at line 495 of file settings.hpp.

## set_max_parallel_connections()

template<typename Count_Limiter >

void restinio::details::max_parallel_connections_holder_t< Count_Limiter >::set_max_parallel_connections | ( | std::size_t | v | ) |

inlinenoexcept

Definition at line 501 of file settings.hpp.

## Member Data Documentation

## has_actual_max_parallel_connections

template<typename Count_Limiter >

constexpr bool restinio::details::max_parallel_connections_holder_t< Count_Limiter >::has_actual_max_parallel_connections = true

staticconstexpr

Definition at line 483 of file settings.hpp.

## m_max_parallel_connections

template<typename Count_Limiter >

std::size_t restinio::details::max_parallel_connections_holder_t< Count_Limiter >::m_max_parallel_connections

Initial value:
{
std::numeric_limits<std::size_t>::max()
}

Actual value of the limit.

By the default the count of parallel connection is not limited.

Definition at line 490 of file settings.hpp.

The documentation for this struct was generated from the following file:

- restinio/settings.hpp